#!/usr/bin/make -f

export GOCACHE = $(CURDIR)/_build
export GOPATH = $(CURDIR)/_build
export GOBIN = $(CURDIR)/debian/bin

TOOLS = bsondump mongodump mongoexport mongofiles \
	mongoimport mongorestore mongostat

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source

execute_after_dh_auto_configure:
	cp -av debian/vendor/* _build/src

override_dh_auto_build:
	for tool in $(TOOLS); do \
		go install -v -tags="ssl sasl" -ldflags -extldflags=-Wl,-z,now,-z,relro $$tool/main/$$tool.go; \
	done
